Bug 202927 - depmod segfaults
depmod segfaults
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: module-init-tools (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Masters
http://konstantin.antselovich.com/arc...
:
Depends On:
Blocks: 202961
  Show dependency treegraph
 
Reported: 2006-08-17 06:27 EDT by Konstantin Antselovich
Modified: 2008-03-12 10:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-12 10:04:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
acpidump output SORRY: attached to the wrong bug# -- pls disregard (68.56 KB, application/octet-stream)
2006-08-17 06:38 EDT, Konstantin Antselovich
no flags Details

  None (edit)
Description Konstantin Antselovich 2006-08-17 06:27:17 EDT
Description of problem:

depmod segfaults 

Version-Release number of selected component (if applicable):


How reproducible:

always

Steps to Reproduce:
1. delete direcory /lib/modules/$kernel_verion/updates
2. run depmod

  
Actual results:

depmod exits SIGSEGV 

Expected results:

depmod terminates normally or keeps running producing waring

Additional info:

Strace:
---skip bunch of stuff---
readlink("/lib/modules/2.6.17.8/source", "/", 1) = 1
readlink("/lib/modules/2.6.17.8/build", "/", 1) = 1
getdents(4, /* 0 entries */, 4096)      = 0
close(4)                                = 0
open("/lib/modules/2.6.17.8/updates",
O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY) = -1 ENOENT (No such file or directory)
--- SIGSEGV (Segmentation fault) @ 0 (0) ---


running depmod

 /sbin/depmod -e -F System.map 2.6.17.8
WARNING: Module /lib/modules/2.6.17.8/kernel/net/ipv4/netfilter/ipt_DSCP.ko is
not an elf object
WARNING: Module /lib/modules/2.6.17.8/kernel/net/ipv4/netfilter/ipt_ECN.ko is
not an elf object
WARNING: Module /lib/modules/2.6.17.8/kernel/net/ipv4/netfilter/ipt_NETMAP.ko is
not an elf object
WARNING: Module /lib/modules/2.6.17.8/kernel/net/ipv4/netfilter/ipt_TTL.ko is
not an elf object
WARNING: Module /lib/modules/2.6.17.8/kernel/net/ipv4/netfilter/ipt_dscp.ko is
not an elf object
WARNING: Module
/lib/modules/2.6.17.8/kernel/net/ipv4/netfilter/iptable_mangle.ko is not an elf
object
WARNING: Module /lib/modules/2.6.17.8/kernel/net/ipv4/netfilter/iptable_nat.ko
is not an elf object
WARNING: Module /lib/modules/2.6.17.8/kernel/net/ipv4/tcp_diag.ko is not an elf
object
WARNING: Module /lib/modules/2.6.17.8/kernel/net/ipv4/tunnel4.ko is not an elf
object
Segmentation fault
Comment 1 Konstantin Antselovich 2006-08-17 06:38:45 EDT
Created attachment 134374 [details]
acpidump output

SORRY: attached to the wrong bug# -- pls disregard
Comment 2 Konstantin Antselovich 2006-08-17 06:42:33 EDT
attachment is for another bug, I attached it here by mistake. pls disregard it.
Comment 3 Jon Masters 2006-08-17 07:35:20 EDT
Yeah. It's a silly lack of an error check in a depmod patch that works fine on
RH kernels but not all upstream ones - I'll get it fixed asap.
Comment 4 Jon Masters 2006-09-30 11:14:53 EDT
It's in rawhide. I'm waiting to hear that this has gone away.
Comment 5 Konstantin Antselovich 2006-11-14 10:35:51 EST
Hi, I;m just going through my bugs and trying to close old ones.  
I'm pretty sure that this one is already fixed.  

I tried on FC6 and depmod works on FC kernels as well as vanilla kernels.
Can this bug be closed?

Comment 6 Peter van Egdom 2008-03-12 10:04:53 EDT
Thank you for the bug report. Closing bug as per comments #4 and #5.

Note You need to log in before you can comment on or make changes to this bug.